Saltar al contenido principal
GET
/
v1
/
invoices
List invoices
curl --request GET \
  --url https://api.easyverifactu.com/v1/invoices \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "inv_clx123abc456",
      "status": "issued",
      "amount": 10050,
      "currency": "eur",
      "number": "2026-000123",
      "external_customer_id": "cus_9aZ",
      "email": "cliente@example.com",
      "invoice_date": "2026-06-01T09:30:00Z",
      "created_at": "2026-06-01T09:30:00Z"
    }
  ],
  "has_more": true,
  "next_cursor": "inv_clx123abc456",
  "next_url": "/v1/invoices?limit=25&starting_after=inv_clx123abc456"
}

Autorizaciones

Authorization
string
header
requerido

API key sent as a bearer token in the Authorization header.

Parámetros de consulta

limit
integer
predeterminado:25

Maximum number of invoices to return (1–100). Maximum number of invoices to return (1-100).

Rango requerido: 1 <= x <= 100
Ejemplo:

25

starting_after
string

Opaque cursor: return invoices after this invoice id. Cursor: return invoices after this invoice id.

Ejemplo:

"inv_clx123abc456"

external_customer_id
string

Filter to invoices for this external customer id (exact).

Ejemplo:

"cus_9aZ"

email
string

Filter to invoices with this recipient email (exact, case-insensitive).

Ejemplo:

"cliente@example.com"

Respuesta

A cursor-paginated page of invoices.

A cursor-paginated page of invoices.

data
object[]
requerido
has_more
boolean
requerido

Whether more invoices exist beyond this page.

Ejemplo:

true

next_cursor
string | null
requerido

Cursor to pass back as starting_after for the next page, or null on the last page.

Ejemplo:

"inv_clx123abc456"

next_url
string | null
requerido

Relative path to the next page, preserving the current filters, or null on the last page.

Ejemplo:

"/v1/invoices?limit=25&starting_after=inv_clx123abc456"